Subject: bug#38264: 27.0.50; Emacs terminates unexpectedly when noninteractive is t

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Nov 2019 19:37:58 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 21 Nov 2019 00:35:50 +0800
> 
> I am also wondering why there is no error shown in the terminal when
> emacs is terminated after executing the code I provided.

Probably because your stderr is redirected to some great void in a GUI
session.

> I tried to run emacs in batch mode directly like
> 
> $ emacs -Q --batch --eval '(/ 1 0)'
> Arithmetic error

Yes, that goes to stderr, which is in batch mode connected to the
console.

> I suspect that it was just copying. Will forward your question to the
> straight.el author.

Thanks.